package lib_groovy;

//////////////////////////////////////////////////////////////////////////////////////////////////////////////
//	Company    : ZF Engineering, Pilsen, Czech Republic
//  Department : DITIS
//  Project    : build_log_parser Jenkins
//  Developer  : Ihar Auchynnikau <ihar.auchynnikau@zf.com>
//////////////////////////////////////////////////////////////////////////////////////////////////////////////

//------------------------------------------------------------------------------
// Class for line from document.
// 
//------------------------------------------------------------------------------

class Line{
	
	//Content of line
	private String content;
	//Type of line
	private RuleType type = null;
	//References to this line
	private String ref = null;
	//Line number in input file
	private int lineNumber;
	
	public Line(String content) {
		this.content = content;
	}
	
	/**
	 * Constructor
	 * 
	 * @param content - content of line
	 * @param type - type of the item in the current line
	 * @param ref - reference to the current line
	 * @param lineNumber - line number from log file
	 */
	public Line(String content, RuleType type, String ref, int lineNumber) {
		this(content);
		this.type = type;
		this.ref = ref;
		this.lineNumber = lineNumber;
	}
	
	
	public RuleType getType() {
		return type;
	}
	
	public void setType(RuleType type) {
		this.type = type;
	}

	public String getContent() {
		return content;
	}

	public String getRef() {
		return ref;
	}

	/**
	 * Return content in info format
	 * @return
	 */
	public String getInfo() {
		String refr = "COMMON";
		if(ref != null) {
			refr = ref;
		}
		return "[" + refr + "]" + " " + content;
	}
	
	public int getLineNumber() {
		return lineNumber;
	}
	
	
}