package lib_groovy;

//////////////////////////////////////////////////////////////////////////////////////////////////////////////
//	Company    : ZF Engineering, Pilsen, Czech Republic
//  Department : DITIS
//  Project    : build_log_parser Jenkins
//  Developer  : Ihar Auchynnikau <ihar.auchynnikau@zf.com>
//////////////////////////////////////////////////////////////////////////////////////////////////////////////

//------------------------------------------------------------------------------
// Class for creating rule type. Implements Comparable for sorting by priority.
//
//------------------------------------------------------------------------------

class RuleType implements Comparable<RuleType>{
	
	//Name of rule
	private String name;
	//Color of references
	private String color;
	//Priority
	private int priority;
	
	private boolean isErrorFlag = false;
	
	public RuleType(String name, String color, int priority) {
		this.name = name;
		this.color = color;
		this.priority = priority;
	}
	
	
	public RuleType(String name, String color, int priority, boolean isErrorFlag) {
		this.name = name;
		this.color = color;
		this.priority = priority;
		this.isErrorFlag = isErrorFlag;
	}
	
	
	
	@Override
	public int compareTo(RuleType o) {
		return this.priority - o.priority;
	}
	
	
	public String getName() {
		return name;
	}

	public String getColor() {
		return color;
	}
	
	public int getPriority() {
		return priority;
	}


	
	public boolean isErrorFlag() {
		return isErrorFlag;
	}
	
	
	
}